跳转到主要内容
设置/场景封装相关接口
PUTTemplate Operations起始版本 3.6.0同步需要认证

更新模板值

更新模板值

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • templateUuidString必填

    模板Uuid

请求体字段

  • updatetemplateconfigObject必填

    updatetemplateconfig 请求体结构

    • categoryString必填

      对应的GlobalConfig配置类型

    • nameString必填

      对应的GlobalConfig配置名称

    • valueString必填

      模板值

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryTemplateConfigInventory必填

    详情参考inventory

    • templateUuidString必填

      所属模板Uuid

    • categoryString必填

      配置类型

    • nameString必填

      配置名称

    • defaultValueString必填

      模板默认值

    • valueString必填

      模板值

请求地址

PUT/zstack/v1/template-configurations/{templateUuid}/actions

/zstack/v1/template-configurations/{templateUuid}/actions

操作 ID

UpdateTemplateConfig

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/template-configurations/{templateUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatetemplateconfig":{"category":"<category>","name":"<name>","value":"<value>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "templateUuid": "000011112222", "category": "vm", "name": "emulateHyperV", "defaultValue": "true", "value": "true" } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史